summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-05-05 12:32:05 +0200
committerHolger Levsen <holger@layer-acht.org>2015-05-05 12:32:05 +0200
commit034747b1e7f1e154619f9034111d64cdf02ca869 (patch)
tree7b04c89148e77c6089dd277c25217bb005e30a59 /bin/reproducible_maintenance.sh
parentd6ec49d88639dedf0ad21feabcca55b2d680bbbc (diff)
downloadjenkins.debian.net-034747b1e7f1e154619f9034111d64cdf02ca869.tar.xz
reproducible: don't fail maintainance if there is nothing to clean up
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 93afa3ff..aa17eade 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -167,7 +167,7 @@ if grep -q '|' $PACKAGES ; then
WHERE name='$PKGNAME' AND suite='$SUITE' AND architecture='$ARCH'"
sqlite3 -init $INIT ${PACKAGES_DB} "$QUERY"
cd $BASE
- find rb-pkg/$SUITE/$ARCH rbuild/$SUITE/$ARCH dbd/$SUITE/$ARCH buildinfo/$SUITE/$ARCH -name "${PKGNAME}_*" | xargs rm -v
+ find rb-pkg/$SUITE/$ARCH rbuild/$SUITE/$ARCH dbd/$SUITE/$ARCH buildinfo/$SUITE/$ARCH -name "${PKGNAME}_*" | xargs -r rm -v || echo "Warning: couldn't delete old files from ${PKGNAME} in $SUITE/$ARCH"
done
cd - > /dev/null
fi